package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.ObjTtsaExamApplMapper;
import com.goldenwater.slaj.ttsa.domain.ObjTtsaExamAppl;
import com.goldenwater.slaj.ttsa.service.IObjTtsaExamApplService;

@Service
public class ObjTtsaExamApplServiceImpl implements IObjTtsaExamApplService {
    @Autowired
    private ObjTtsaExamApplMapper objTtsaExamApplMapper;

    @Override
    public ObjTtsaExamAppl selectObjTtsaExamApplByGuid(String guid) {
        return objTtsaExamApplMapper.selectObjTtsaExamApplByGuid(guid);
    }

    @Override
    public List<ObjTtsaExamAppl> selectObjTtsaExamApplList(ObjTtsaExamAppl objTtsaExamAppl) {
        return objTtsaExamApplMapper.selectObjTtsaExamApplList(objTtsaExamAppl);
    }

    @Override
    public int insertObjTtsaExamAppl(ObjTtsaExamAppl objTtsaExamAppl) {
        return objTtsaExamApplMapper.insertObjTtsaExamAppl(objTtsaExamAppl);
    }

    @Override
    public int updateObjTtsaExamAppl(ObjTtsaExamAppl objTtsaExamAppl) {
        return objTtsaExamApplMapper.updateObjTtsaExamAppl(objTtsaExamAppl);
    }

    @Override
    public int deleteObjTtsaExamApplByGuid(String guid) {
        return objTtsaExamApplMapper.deleteObjTtsaExamApplByGuid(guid);
    }

    @Override
    public int deleteObjTtsaExamApplByGuids(String[] guids) {
        return objTtsaExamApplMapper.deleteObjTtsaExamApplByGuids(guids);
    }
}
